ApiKeys
Get an API key
Returns the API key with the given ID, including its metadata and access. Use this endpoint to get an API key through the Samva email API.
Returns the API key with the given ID, including its metadata and access.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^key_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/api-keys/string"{ "id": "string", "name": "string", "key": "string", "start": "string", "description": "string", "createdAt": "string", "expiresAt": "string", "lastUsedAt": "string", "isActive": true, "access": { "mode": "full" }, "owner": { "id": "string", "name": "string", "email": "string" }}Related documentation
Create an API key
Creates a new API key for the organization and returns the created key, including the plaintext secret, with a 201 response.
List API key activity
Returns the sends attributed to an API key, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.